## org.apache.jasper.servlet
Class TomcatServletEngine

    java.lang.Object
      org.apache.jasper.servlet.ServletEngine
          org.apache.jasper.servlet.TomcatServletEngine

public class TomcatServletEngine
extends ServletEngine

Implementation of Servlet Engine that is used when the JSP engine is running with Tomcat.

Author:
  Anil K. Vijendran

Constructor Summary
`TomcatServletEngine()`

Method Summary
`java.lang.ClassLoader` `getClassLoader(javax.servlet.ServletContext ctx)` Get the class loader for this ServletContext object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TomcatServletEngine

    public TomcatServletEngine()

Method Detail

### getClassLoader

    public java.lang.ClassLoader getClassLoader(javax.servlet.ServletContext ctx)

  Description copied from class: `ServletEngine`
  Get the class loader for this ServletContext object.

  Overrides:
    `getClassLoader` in class `ServletEngine`

Copyright ? 2000 Apache Software Foundation. All Rights Reserved.